Index: branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp
===================================================================
--- branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp	(revision 824)
+++ branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp	(revision 827)
@@ -6474,13 +6446,13 @@
 
     uint64_t clack_type = DspinRwtParam::dspin_get(r_dspin_clack_flit.read(),
-                                                     DspinRwtParam::CLACK_TYPE);
-
-    size_t clack_way  = DspinRwtParam::dspin_get(r_dspin_clack_flit.read(),
-                                                   DspinRwtParam::CLACK_WAY);
-
-    size_t clack_set  = DspinRwtParam::dspin_get(r_dspin_clack_flit.read(),
-                                                   DspinRwtParam::CLACK_SET);
-
-    bool dspin_clack_get      = false;
+                                                   DspinRwtParam::CLACK_TYPE);
+
+    size_t clack_way = DspinRwtParam::dspin_get(r_dspin_clack_flit.read(),
+                                                DspinRwtParam::CLACK_WAY);
+
+    size_t clack_set = DspinRwtParam::dspin_get(r_dspin_clack_flit.read(),
+                                                DspinRwtParam::CLACK_SET);
+
+    bool dspin_clack_get = false;
     bool dcache_clack_request = (clack_type == DspinRwtParam::TYPE_CLACK_DATA);
     bool icache_clack_request = (clack_type == DspinRwtParam::TYPE_CLACK_INST);
@@ -6489,13 +6461,15 @@
     {
         // CLACK DATA: Send request to DCACHE FSM
-        if (dcache_clack_request and not r_dcache_clack_req.read()){
+        if (dcache_clack_request and not r_dcache_clack_req.read())
+        {
             r_dcache_clack_req = true;
-            r_dcache_clack_way = clack_way & ((1ULL<<(uint32_log2(m_dcache_ways)))-1);
-            r_dcache_clack_set = clack_set & ((1ULL<<(uint32_log2(m_dcache_sets)))-1);
+            r_dcache_clack_way = clack_way & ((1ULL << (uint32_log2(m_dcache_ways))) - 1);
+            r_dcache_clack_set = clack_set & ((1ULL << (uint32_log2(m_dcache_sets))) - 1);
             dspin_clack_get    = true;
         }
 
         // CLACK INST: Send request to ICACHE FSM
-        else if (icache_clack_request and not r_icache_clack_req.read()){
+        else if (icache_clack_request and not r_icache_clack_req.read())
+        {
             r_icache_clack_req = true;
             r_icache_clack_way = clack_way & ((1ULL<<(uint32_log2(m_dcache_ways)))-1);
@@ -6555,5 +6529,5 @@
 
     bool is_sc_or_cas  = (r_vci_cmd_fsm.read() == CMD_DATA_CAS) or
-                         (r_vci_cmd_fsm.read() == CMD_DATA_SC );
+                         (r_vci_cmd_fsm.read() == CMD_DATA_SC);
 
     p_vci.pktid  = 0;
@@ -6565,8 +6539,8 @@
     p_vci.cfixed = false;
 
-    if ( m_monitor_ok ) {
-        if ( p_vci.cmdack.read() == true and p_vci.cmdval == true) {
+    if (m_monitor_ok) {
+        if (p_vci.cmdack.read() == true and p_vci.cmdval == true) {
             if (((p_vci.address.read()) >= m_monitor_base) and
-                ((p_vci.address.read()) < m_monitor_base + m_monitor_length) ) {
+                ((p_vci.address.read()) < m_monitor_base + m_monitor_length)) {
                 std::cout << "CC_VCACHE Monitor " << name() << std::hex
                           << " Access type = " << vci_cmd_type_str[p_vci.cmd.read()]
@@ -6574,5 +6548,5 @@
                           << " : address = " << p_vci.address.read()
                           << " / be = " << p_vci.be.read();
-                if ( p_vci.cmd.read() == vci_param::CMD_WRITE ) {
+                if (p_vci.cmd.read() == vci_param::CMD_WRITE) {
                     std::cout << " / data = " << p_vci.wdata.read();
                 }
@@ -6582,5 +6556,5 @@
     }
 
-    switch ( r_vci_cmd_fsm.read() ) {
+    switch (r_vci_cmd_fsm.read()) {
 
     case CMD_IDLE:
@@ -6683,6 +6657,6 @@
         p_vci.cmdval  = true;
         p_vci.address = r_dcache_vci_paddr.read() & ~0x3;
-        if ( r_vci_cmd_cpt.read() == 0 ) p_vci.wdata = r_dcache_llsc_key.read();
-        else                             p_vci.wdata = r_dcache_vci_sc_data.read();
+        if (r_vci_cmd_cpt.read() == 0) p_vci.wdata = r_dcache_llsc_key.read();
+        else                           p_vci.wdata = r_dcache_vci_sc_data.read();
         p_vci.be      = 0xF;
         p_vci.trdid   = 0;
@@ -6696,6 +6670,6 @@
         p_vci.cmdval  = true;
         p_vci.address = r_dcache_vci_paddr.read() & ~0x3;
-        if ( r_vci_cmd_cpt.read() == 0 ) p_vci.wdata = r_dcache_vci_cas_old.read();
-        else                             p_vci.wdata = r_dcache_vci_cas_new.read();
+        if (r_vci_cmd_cpt.read() == 0) p_vci.wdata = r_dcache_vci_cas_old.read();
+        else                           p_vci.wdata = r_dcache_vci_cas_new.read();
         p_vci.be      = 0xF;
         p_vci.trdid   = 0;
@@ -6710,5 +6684,5 @@
     // it depends on the VCI_RSP FSM
 
-    switch (r_vci_rsp_fsm.read() )
+    switch (r_vci_rsp_fsm.read())
     {
         case RSP_DATA_WRITE : p_vci.rspack = true; break;
@@ -6726,5 +6700,5 @@
 
     uint64_t dspin_send_data = 0;
-    switch ( r_cc_send_fsm.read() )
+    switch (r_cc_send_fsm.read())
     {
         //////////////////
@@ -6739,34 +6713,35 @@
             // initialize dspin send data
             DspinRwtParam::dspin_set(dspin_send_data,
-                                       m_cc_global_id,
-                                       DspinRwtParam::CLEANUP_SRCID);
+                                     m_cc_global_id,
+                                     DspinRwtParam::CLEANUP_SRCID);
             DspinRwtParam::dspin_set(dspin_send_data,
-                                       0,
-                                       DspinRwtParam::P2M_BC);
-
-            if(r_cc_send_last_client.read() == 0) // dcache active request
+                                     0,
+                                     DspinRwtParam::P2M_BC);
+
+            if (r_cc_send_last_client.read() == 0) // dcache active request
             {
                 uint64_t dest = (uint64_t) r_dcache_cc_send_nline.read()
                                 >> (m_nline_width - m_x_width - m_y_width)
                                 << (DspinRwtParam::GLOBALID_WIDTH - m_x_width - m_y_width);
+
                 DspinRwtParam::dspin_set(dspin_send_data,
-                                           dest,
-                                           DspinRwtParam::CLEANUP_DEST);
+                                         dest,
+                                         DspinRwtParam::CLEANUP_DEST);
 
                 DspinRwtParam::dspin_set(dspin_send_data,
-                                           (r_dcache_cc_send_nline.read() & 0x300000000ULL)>>32,
-                                           DspinRwtParam::CLEANUP_NLINE_MSB);
+                                         (r_dcache_cc_send_nline.read() & 0x300000000ULL) >> 32,
+                                         DspinRwtParam::CLEANUP_NLINE_MSB);
 
                 DspinRwtParam::dspin_set(dspin_send_data,
-                                           r_dcache_cc_send_way.read(),
-                                           DspinRwtParam::CLEANUP_WAY_INDEX);
+                                         r_dcache_cc_send_way.read(),
+                                         DspinRwtParam::CLEANUP_WAY_INDEX);
 
                 DspinRwtParam::dspin_set(dspin_send_data,
-                                           DspinRwtParam::TYPE_CLEANUP_DATA,
-                                           DspinRwtParam::P2M_TYPE);
+                                         DspinRwtParam::TYPE_CLEANUP_DATA,
+                                         DspinRwtParam::P2M_TYPE);
 
                 DspinRwtParam::dspin_set(dspin_send_data,
-                                           (r_dcache_cc_cleanup_line_ncc.read() and (r_cc_send_last_client.read() == 0)),
-                                           DspinRwtParam::CLEANUP_NCC);
+                                         (r_dcache_cc_cleanup_line_ncc.read() and (r_cc_send_last_client.read() == 0)),
+                                         DspinRwtParam::CLEANUP_NCC);
             }
             else                                // icache active request
@@ -6777,22 +6752,22 @@
 
                 DspinRwtParam::dspin_set(dspin_send_data,
-                                           dest,
-                                           DspinRwtParam::CLEANUP_DEST);
+                                         dest,
+                                         DspinRwtParam::CLEANUP_DEST);
 
                 DspinRwtParam::dspin_set(dspin_send_data,
-                                           (r_icache_cc_send_nline.read() & 0x300000000ULL)>>32,
-                                           DspinRwtParam::CLEANUP_NLINE_MSB);
+                                         (r_icache_cc_send_nline.read() & 0x300000000ULL) >> 32,
+                                         DspinRwtParam::CLEANUP_NLINE_MSB);
 
                 DspinRwtParam::dspin_set(dspin_send_data,
-                                           r_icache_cc_send_way.read(),
-                                           DspinRwtParam::CLEANUP_WAY_INDEX);
+                                         r_icache_cc_send_way.read(),
+                                         DspinRwtParam::CLEANUP_WAY_INDEX);
 
                 DspinRwtParam::dspin_set(dspin_send_data,
-                                           DspinRwtParam::TYPE_CLEANUP_INST,
-                                           DspinRwtParam::P2M_TYPE);
+                                         DspinRwtParam::TYPE_CLEANUP_INST,
+                                         DspinRwtParam::P2M_TYPE);
 
                 DspinRwtParam::dspin_set(dspin_send_data,
-                                           0,
-                                           DspinRwtParam::CLEANUP_NCC);
+                                         0,
+                                         DspinRwtParam::CLEANUP_NCC);
 
 
@@ -6808,20 +6783,20 @@
         {
             // initialize dspin send data
-            if(r_cc_send_last_client.read() == 0) // dcache active request
+            if (r_cc_send_last_client.read() == 0) // dcache active request
             {
                 DspinRwtParam::dspin_set(dspin_send_data,
-                                           r_dcache_cc_send_nline.read() & 0xFFFFFFFFULL,
-                                           DspinRwtParam::CLEANUP_NLINE_LSB);
+                                         r_dcache_cc_send_nline.read() & 0xFFFFFFFFULL,
+                                         DspinRwtParam::CLEANUP_NLINE_LSB);
             }
             else                                  // icache active request
             {
                 DspinRwtParam::dspin_set(dspin_send_data,
-                                           r_icache_cc_send_nline.read() & 0xFFFFFFFFULL,
-                                           DspinRwtParam::CLEANUP_NLINE_LSB);
+                                         r_icache_cc_send_nline.read() & 0xFFFFFFFFULL,
+                                         DspinRwtParam::CLEANUP_NLINE_LSB);
             }
             // send flit
             p_dspin_p2m.data  = dspin_send_data;
             p_dspin_p2m.write = true;
-            p_dspin_p2m.eop   = ! (r_dcache_cc_cleanup_updt_data.read() and (r_cc_send_last_client.read() == 0));
+            p_dspin_p2m.eop   = !(r_dcache_cc_cleanup_updt_data.read() and (r_cc_send_last_client.read() == 0));
             break;
         }
@@ -6831,10 +6806,10 @@
 
             DspinRwtParam::dspin_set(dspin_send_data,
-                                       r_cc_send_data_fifo.read(),
-                                       DspinRwtParam::CLEANUP_DATA_UPDT);
-
-            p_dspin_p2m.data = dspin_send_data;
+                                     r_cc_send_data_fifo.read(),
+                                     DspinRwtParam::CLEANUP_DATA_UPDT);
+
+            p_dspin_p2m.data  = dspin_send_data;
             p_dspin_p2m.write = true;
-            p_dspin_p2m.eop = (r_cc_send_cpt_word.read() == m_dcache_words-1);
+            p_dspin_p2m.eop   = (r_cc_send_cpt_word.read() == m_dcache_words - 1);
             break;
         }
@@ -6844,11 +6819,11 @@
             // initialize dspin send data
             DspinRwtParam::dspin_set(dspin_send_data,
-                                       0,
-                                       DspinRwtParam::P2M_BC);
+                                     0,
+                                     DspinRwtParam::P2M_BC);
             DspinRwtParam::dspin_set(dspin_send_data,
-                                       DspinRwtParam::TYPE_MULTI_ACK,
-                                       DspinRwtParam::P2M_TYPE);
-
-            if(r_cc_send_last_client.read() == 0) // dcache active request
+                                     DspinRwtParam::TYPE_MULTI_ACK,
+                                     DspinRwtParam::P2M_TYPE);
+
+            if (r_cc_send_last_client.read() == 0) // dcache active request
             {
                 uint64_t dest = (uint64_t) r_dcache_cc_send_nline.read()
@@ -6857,10 +6832,10 @@
 
                 DspinRwtParam::dspin_set(dspin_send_data,
-                                           dest,
-                                           DspinRwtParam::MULTI_ACK_DEST);
+                                         dest,
+                                         DspinRwtParam::MULTI_ACK_DEST);
 
                 DspinRwtParam::dspin_set(dspin_send_data,
-                                           r_dcache_cc_send_updt_tab_idx.read(),
-                                           DspinRwtParam::MULTI_ACK_UPDT_INDEX);
+                                         r_dcache_cc_send_updt_tab_idx.read(),
+                                         DspinRwtParam::MULTI_ACK_UPDT_INDEX);
             }
             else                                    // icache active request
@@ -6872,10 +6847,10 @@
 
                 DspinRwtParam::dspin_set(dspin_send_data,
-                                           dest,
-                                           DspinRwtParam::MULTI_ACK_DEST);
+                                         dest,
+                                         DspinRwtParam::MULTI_ACK_DEST);
 
                 DspinRwtParam::dspin_set(dspin_send_data,
-                                           r_icache_cc_send_updt_tab_idx.read(),
-                                           DspinRwtParam::MULTI_ACK_UPDT_INDEX);
+                                         r_icache_cc_send_updt_tab_idx.read(),
+                                         DspinRwtParam::MULTI_ACK_UPDT_INDEX);
             }
             // send flit
@@ -6890,5 +6865,5 @@
     // Receive coherence packets
     // It depends on the CC_RECEIVE FSM
-    switch( r_cc_receive_fsm.read() )
+    switch (r_cc_receive_fsm.read())
     {
         /////////////////////
@@ -6946,5 +6921,5 @@
         case CC_RECEIVE_INS_UPDT_HEADER:
         {
-            if ( not r_cc_receive_icache_req.read())
+            if (not r_cc_receive_icache_req.read())
                 p_dspin_m2p.read = true;
             else
@@ -6956,5 +6931,5 @@
         case CC_RECEIVE_INS_UPDT_NLINE:
         {
-            if(r_cc_receive_updt_fifo_be.empty())
+            if (r_cc_receive_updt_fifo_be.empty())
                 p_dspin_m2p.read = true;
             else
@@ -6976,5 +6951,5 @@
 
     int clack_type = DspinRwtParam::dspin_get(r_dspin_clack_flit.read(),
-                                                DspinRwtParam::CLACK_TYPE);
+                                              DspinRwtParam::CLACK_TYPE);
 
     bool dspin_clack_get      = false;
@@ -7007,12 +6982,12 @@
 // This version of monitor print both Read and Write request
 {
-    m_monitor_ok        = true;
-    m_monitor_base      = base;
-    m_monitor_length    = length;
+    m_monitor_ok     = true;
+    m_monitor_base   = base;
+    m_monitor_length = length;
 }
 
 tmpl(void)::stop_monitor()
 {
-    m_monitor_ok        = false;
+    m_monitor_ok = false;
 }
 
